Subject: Re: Commit a series of patches to SVN without rebase

From: Eric Wong <[email-masked]>
Date: Tue, 1 Jan 2008 19:11:02 -0800

Jörg Sommer <[email-masked]> wrote:
> Hi Eric,
> 
> Eric Wong <[email-masked]> wrote:
> > Jörg Sommer <[email-masked]> wrote:
> >> I've a number of patches in git I want to send to a SVN repository. git
> >> svn dcommit does a rebase after each commit which makes the whole commit
> >> takes very long. Is it possible to skip the rebase? All patches are in
> >> one branch without merges, a simple chain. Is it save to use --no-rebase
> >> in this case?
> >
> > Right now, only if the changes don't depend on each other (they all
> > modify different files).
> 
> May I ask you what the rational behind doing a rebase every time is? Is
> it needed? Why is it not possible to send all commits and do one rebase
> after the last one?

Rebase is done to alert the user of potential conflicts before
attempting to commit them to a remote repository.  Formerly it was
done to prevent potential clobbering of upstream changes if
there were conflicts, but I think that's been rectified in recent
months.

-- 
Eric Wong